Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=frugalware-current.git;a=commitdiff;h=e011987567fb601d967a8d41e269f0b4f4303738

commit e011987567fb601d967a8d41e269f0b4f4303738
Author: bouleetbil <bouleet...@frogdev.info>
Date:   Sun Aug 29 15:19:04 2010 +0200

frugal-mono-tools-0.1-1-i686
*new package
*now I wait : why do use mono
*mono=Microsoft it's the hell boooo :D

diff --git a/source/xapps-extra/frugal-mono-tools/FrugalBuild 
b/source/xapps-extra/frugal-mono-tools/FrugalBuild
new file mode 100644
index 0000000..1670bd3
--- /dev/null
+++ b/source/xapps-extra/frugal-mono-tools/FrugalBuild
@@ -0,0 +1,33 @@
+# Compiling Time: 0.02 SBU
+# Maintainer: bouleetbil <bouleet...@frogdev.info>
+
+pkgname=frugal-mono-tools
+pkgver=0.1
+pkgrel=1
+url="http://ftp.frugalware.org/pub/other/people/bouleetbil/frugal-mono-tools/";
+up2date="Flasttar $url/releases/"
+source=($url/releases/$pkgname-$pkgver.tar.gz rc.frugal-mono-tools 
frugal-mono-tools.desktop)
+pkgdesc="C# frugalware configuration."
+depends=('gtk2-sharp' 'notify-sharp' 'webkit-sharp>=0.3')
+options=('scriptlet')
+groups=('xapps-extra')
+archs=('i686' 'x86_64' 'ppc')
+Finclude mono
+sha1sums=('9e145782e7ed8a9e7ce22baedab1ebe4af1a1891' \
+          '2157a2eeb24e2be7d96880d0cfcdb0ca43bfc5cc' \
+          'f5aedb7148d5eb3c6c2c115e63e8b242045fdc94')
+
+build() {
+       Fcd
+       Fmonoexport
+       Fmkdir usr/share/pixmaps
+       Fmkdir etc/xdg/autostart/
+       Fmkdir usr/share/applications/
+       Fbuild
+       Fcp frugal-mono-tools.desktop \
+               etc/xdg/autostart/frugal-mono-tools.desktop
+       Fcp $pkgname-$pkgver/frugal-mono-tools/fw.png 
usr/share/pixmaps/FrugalTools.png
+       Fcp $pkgname-$pkgver/frugal-mono-tools/*.desktop usr/share/applications/
+       Fmonocleanup
+       Frcd2
+}
diff --git a/source/xapps-extra/frugal-mono-tools/frugal-mono-tools.desktop 
b/source/xapps-extra/frugal-mono-tools/frugal-mono-tools.desktop
new file mode 100644
index 0000000..a5a60fd
--- /dev/null
+++ b/source/xapps-extra/frugal-mono-tools/frugal-mono-tools.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=frugal-mono-tools Applet
+Exec=frugal-mono-tools --update
+Terminal=false
+Type=Application
+Categories=
diff --git a/source/xapps-extra/frugal-mono-tools/rc.frugal-mono-tools 
b/source/xapps-extra/frugal-mono-tools/rc.frugal-mono-tools
new file mode 100644
index 0000000..4d3a28f
--- /dev/null
+++ b/source/xapps-extra/frugal-mono-tools/rc.frugal-mono-tools
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+# (c) 2010 bouleetbil <bouleet...@frogdev.info>
+# rc.frugal-mono-tools for Frugalware
+# distributed under GPL License
+
+# chkconfig: 2345 99 02
+# description: Daemon for check update package
+
+TEXTDOMAIN=frugal-mono-tools
+TEXTDOMAINDIR=/lib/initscripts/messages
+source /lib/initscripts/functions
+daemon="Frugalware check update"
+
+actions=(start stop restart)
+
+rc_start()
+{
+
+       start_msg
+       if [ ! -f /tmp/ServiceMonoFrugal.exe.lock ]; then
+               exec mono-service2 
"/usr/lib/frugal-mono-tools/ServiceMonoFrugal.exe" &
+               ok $?
+       else
+               ok 999
+       fi
+}
+
+
+rc_stop()
+{
+       stop_msg
+       if [ -f /tmp/ServiceMonoFrugal.exe.lock ] ;then
+               kill `cat /tmp/ServiceMonoFrugal.exe.lock`
+               ok $?
+       else
+               ok 999
+       fi
+}
+
+rc_exec $1
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to